> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get the User UI Config

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/ui_config/me

Reference: https://contentful.com/developers/docs/references/content-management-api/ui-config/get-the-user-ui-config

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the Space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "assetListViews": [
    {
      "id": "view",
      "title": "title",
      "views": [
        {
          "contentTypeId": "content",
          "contentTypeIds?": [
            "content"
          ],
          "displayedFieldIds": [],
          "id": "view",
          "order": {
            "direction": "'ascending' | 'descending'",
            "fieldId": "field"
          },
          "searchFilters?": [],
          "searchText": "search",
          "title": "view"
        }
      ]
    }
  ],
  "entryListViews": [
    {
      "id": "view",
      "title": "title",
      "views": [
        {
          "contentTypeId": "content",
          "contentTypeIds?": [
            "content"
          ],
          "displayedFieldIds": [],
          "id": "view",
          "order": {
            "direction": "'ascending' | 'descending'",
            "fieldId": "field"
          },
          "searchFilters?": [],
          "searchText": "search",
          "title": "view"
        }
      ]
    }
  ],
  "sys": {
    "createdAt": "2025-11-25T15:51:46.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "environment": {
      "sys": {
        "id": "staging",
        "linkType": "Environment",
        "type": "Link"
      }
    },
    "id": "6zbidGOqH...",
    "organization": {
      "sys": {
        "id": "0D9ZC8rLWiw6x5qizZGiRs",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "UserUIConfig",
    "updatedAt": "2025-11-25T15:51:46.000Z",
    "updatedBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    }
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
  .then((space) => space.getEnvironment('<environment_id>'))
  .then((environment) => environment.getUserUIConfig())
  .then((userUIConfig) => console.log(userUIConfig))
  .catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

// ...

const userUIConfig = await client.userUIConfig.get({});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```